summaryrefslogtreecommitdiffstats
path: root/source/ap/cups
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsource/ap/cups-filters/cups-filters.SlackBuild125
-rw-r--r--source/ap/cups-filters/cups-filters.url1
-rw-r--r--source/ap/cups-filters/doinst.sh28
-rw-r--r--source/ap/cups-filters/slack-desc19
-rw-r--r--source/ap/cups/cups-blacklist-usblp.conf (renamed from source/a/cups/cups-blacklist-usblp.conf)0
-rwxr-xr-xsource/ap/cups/cups.SlackBuild (renamed from source/a/cups/cups.SlackBuild)61
-rw-r--r--source/ap/cups/cups.url1
-rw-r--r--source/ap/cups/doinst.sh (renamed from source/a/cups/doinst.sh)0
-rw-r--r--source/ap/cups/slack-desc (renamed from source/a/cups/slack-desc)0
9 files changed, 218 insertions, 17 deletions
diff --git a/source/ap/cups-filters/cups-filters.SlackBuild b/source/ap/cups-filters/cups-filters.SlackBuild
new file mode 100755
index 000000000..bb2c60346
--- /dev/null
+++ b/source/ap/cups-filters/cups-filters.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/sh
+
+# Copyright 2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=cups-filters
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --with-test-font-path=/usr/share/fonts/TTF/DejaVuSans.ttf \
+ --without-php \
+ --disable-avahi \
+ --disable-static \
+ --with-browseremoteprotocols=cups \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/etc/rc.d
+mv $PKG/etc/init.d/cups-browsed $PKG/etc/rc.d/rc.cups-browsed
+chmod 0644 $PKG/etc/rc.d/rc.cups-browsed
+rm -rf $PKG/etc/init.d $PKG/etc/rc{0,2,3,5}.d
+
+find $PKG/etc -type f -exec mv {} {}.new \;
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS COPYING* INSTALL ChangeLog NEWS README* THANKS TODO \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/ap/cups-filters/cups-filters.url b/source/ap/cups-filters/cups-filters.url
new file mode 100644
index 000000000..7b1d5cdfa
--- /dev/null
+++ b/source/ap/cups-filters/cups-filters.url
@@ -0,0 +1 @@
+http://www.openprinting.org/download/cups-filters/
diff --git a/source/ap/cups-filters/doinst.sh b/source/ap/cups-filters/doinst.sh
new file mode 100644
index 000000000..65187db31
--- /dev/null
+++ b/source/ap/cups-filters/doinst.sh
@@ -0,0 +1,28 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+config etc/cups/cups-browsed.conf.new
+config etc/fonts/conf.d/99pdftoopvp.conf.new
+preserve_perms etc/rc.d/rc.cups-browsed.new
+
diff --git a/source/ap/cups-filters/slack-desc b/source/ap/cups-filters/slack-desc
new file mode 100644
index 000000000..e3854d5b3
--- /dev/null
+++ b/source/ap/cups-filters/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cups-filters: cups-filters (backends and filters for CUPS)
+cups-filters:
+cups-filters: This package provides backends, filters, and other software that was
+cups-filters: once part of the core CUPS distribution but is no longer included.
+cups-filters: In addition it contains additional filters and software developed
+cups-filters: independently.
+cups-filters:
+cups-filters:
+cups-filters:
+cups-filters:
+cups-filters:
diff --git a/source/a/cups/cups-blacklist-usblp.conf b/source/ap/cups/cups-blacklist-usblp.conf
index 0ebaa9a63..0ebaa9a63 100644
--- a/source/a/cups/cups-blacklist-usblp.conf
+++ b/source/ap/cups/cups-blacklist-usblp.conf
diff --git a/source/a/cups/cups.SlackBuild b/source/ap/cups/cups.SlackBuild
index 0bb759ee5..58b3a2594 100755
--- a/source/a/cups/cups.SlackBuild
+++ b/source/ap/cups/cups.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,22 +22,37 @@
# CUPS build script by volkerdi@slackware.com.
-VERSION=1.5.4
-BUILD=${BUILD:-3}
+PKGNAM=cups
+VERSION=${VERSION:-$(echo $PKGNAM-*-source.tar.xz | cut -f 2 -d -)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "x86_64" ]; then
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
else
+ SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi
@@ -52,28 +67,26 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf cups-$VERSION
-tar xvf $CWD/cups-$VERSION-source.tar.?z* || exit 1
+tar xvf $CWD/cups-$VERSION-source.tar.xz || exit 1
cd cups-$VERSION || exit 1
-# Fix for CUPS 1.5.4. Don't reload the obsolete usblp module, as this
-# can cause partial printing with certain printers.
-zcat $CWD/cups-1.5.4-usb-quirks.diff.gz | patch -p1 --verbose || exit 1
-
sed -i.orig -e 's#$exec_prefix/lib/cups#$libdir/cups#g' configure
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--enable-ssl \
- --enable-openssl=yes \
- --enable-gnutls=no \
+ --enable-gnutls=yes \
--enable-cdsassl=no \
--docdir=/usr/doc \
--without-php \
--disable-pam \
+ --disable-avahi \
+ --disable-dnssd \
--build=$ARCH-slackware-linux
make $NUMJOBS || exit 1
-mkdir -p $PKG/etc/cups
-mkdir -p $PKG/var/spool
make BUILDROOT=$PKG install || exit 1
# Blacklist the usblp module just to make sure that it doesn't cause
@@ -83,6 +96,18 @@ cp -a $CWD/cups-blacklist-usblp.conf $PKG/lib/modprobe.d
chown root:root $PKG/lib/modprobe.d/cups-blacklist-usblp.conf
chmod 644 $PKG/lib/modprobe.d/cups-blacklist-usblp.conf
+# Remove files that overlap with the cups-filters package:
+( cd $PKG
+ rm -f \
+ usr/share/cups/banners/classified \
+ usr/share/cups/banners/confidential \
+ usr/share/cups/banners/secret \
+ usr/share/cups/banners/standard \
+ usr/share/cups/banners/topsecret \
+ usr/share/cups/banners/unclassified \
+ usr/share/cups/data/testprint
+)
+
# Hey, what's with the gigantic test files? Bloat is bad.
rm -f $PKG/usr/share/cups/ipptool/*.{pdf,ps,jpg}
@@ -145,13 +170,15 @@ fi
( cd $PKG/usr/doc
find . -name "*.pdf" -exec rm -f {} \; )
-# Apply no-clobber fix to conffiles:
+# Handle .conf files with config() in the install script.
+# Not .conf.default copies, though.
( cd $PKG/etc/cups
- for file in * ; do
+ for file in *.conf ; do
if [ -f $file ]; then
mv $file $file.new
fi
- done )
+ done
+)
# Strip stuff:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
diff --git a/source/ap/cups/cups.url b/source/ap/cups/cups.url
new file mode 100644
index 000000000..1eb84ab8f
--- /dev/null
+++ b/source/ap/cups/cups.url
@@ -0,0 +1 @@
+https://github.com/apple/cups/releases/download/release-2.1.4/cups-2.1.4-source.tar.gz
diff --git a/source/a/cups/doinst.sh b/source/ap/cups/doinst.sh
index 6807cc3ac..6807cc3ac 100644
--- a/source/a/cups/doinst.sh
+++ b/source/ap/cups/doinst.sh
diff --git a/source/a/cups/slack-desc b/source/ap/cups/slack-desc
index c2e1643c9..c2e1643c9 100644
--- a/source/a/cups/slack-desc
+++ b/source/ap/cups/slack-desc